Subject: bug#78319: closed (Re: bug#78319: gnu.org/software/guix redirects broken)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 09 May 2025 12:55:03 +0000

Your bug report

#78319: gnu.org/software/guix redirects broken

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78319: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78319
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#78319: gnu.org/software/guix redirects broken
From: Ludovic Courtès <[email-masked]>
To: "pelzflorian (Florian Pelz)" <[email-masked]>
Cc: [email-masked]
Date: Fri, 09 May 2025 11:56:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Florian,

"pelzflorian (Florian Pelz)" <[email-masked]> writes:

> Ludovic Courtès <[email-masked]> writes:
>> Looks like the gnu.org webmasters broke our redirects:
>>
>> $ wget --debug -O/dev/null https://www.gnu.org/software/guix/manual/en/html_node/Substitutes.html
>
> Maybe this is originally our/Guix’ fault when we changed manual URLs to
> remove duplicate locales, that is, we changed from

No no, it’s really www.gnu.org that systematically responds with a
redirect to https://guix.gnu.org.

> Anyway, I do not have a blog, so don’t know, but I would welcome if you
> sed-replaced www.gnu.org/software/guix/manual like

Done in 00d3af2881e0e6c2310eb719addb31d86ada917a.

Thanks,
Ludo’.

Subject: gnu.org/software/guix redirects broken
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Thu, 08 May 2025 16:07:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Looks like the gnu.org webmasters broke our redirects:

--8<---------------cut here---------------start------------->8---
$ wget --debug -O/dev/null https://www.gnu.org/software/guix/manual/en/html_node/Substitutes.html
Setting --output-document (outputdocument) to /dev/null
DEBUG output created by Wget 1.21.4 on linux-gnu.

Reading HSTS entries from /home/ludo/.wget-hsts
URI encoding = ‘UTF-8’
--2025-05-08 16:04:14--  https://www.gnu.org/software/guix/manual/en/html_node/Substitutes.html
Certificates loaded: 510
Resolving www.gnu.org (www.gnu.org)... 209.51.188.116, 2001:470:142:5::116
Caching www.gnu.org => 209.51.188.116 2001:470:142:5::116
Connecting to www.gnu.org (www.gnu.org)|209.51.188.116|:443... connected.
Created socket 4.
Releasing 0x0000000015e5e080 (new refcount 1).

---request begin---
GET /software/guix/manual/en/html_node/Substitutes.html HTTP/1.1
Host: www.gnu.org
User-Agent: Wget/1.21.4
Accept: */*
Accept-Encoding: identity
Connection: Keep-Alive

---request end---
HTTP request sent, awaiting response... 
---response begin---
HTTP/1.1 302 Found
Server: Apache
Strict-Transport-Security: max-age=63072000
X-Frame-Options: sameorigin
X-Content-Type-Options: nosniff
Access-Control-Allow-Origin: (null)
Location: https://guix.gnu.org
Content-Length: 204
Keep-Alive: timeout=5, max=100
Connection: Keep-Alive
Content-Type: text/html; charset=iso-8859-1

---response end---
--8<---------------cut here---------------end--------------->8---

(Until now each gnu.org/software/guix page would redirect to its
guix.gnu.org counterpart.)

It’s not nice but also not completely unreasonable of them given that we
moved to guix.gnu.org years ago, so I think we should update any
remaining reference in our blog posts etc. to the new URL.

Thoughts?

Ludo’.